<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/Dt_WheelsStock_hty.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'wheels_ID',
            footer: "Foots",
            cnName: '库存历史信息',
            name: 'stock/Dt_WheelsStock_hty',
            url: "/Dt_WheelsStock_hty/",
            sortName: "Wheels_ID"
        });
        const editFormFields = ref({

        });
        const editFormOptions = ref([

        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "车轮条码", "field": "Wheels_code", type: "text" },
                { "title": "车型", "field": "Wheels_CarType", type: "select", dataKey: "StockState", data: [] },
                { "title": "库存类型", "field": "StockType", type: "select", dataKey: "GroupType", data: [] },
            ],
            [
            // { "title": "生产产线", "field": "productionLine", type: "select", dataKey: "ProductionLine", data: [] },
                
            ]
        ]);
        const columns = ref([
            { field: 'wheels_ID', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'wheels_code', title: '车轮条码', type: 'string', width: 110, align: 'left' },
            //{ field: 'wheels_SequenceNum', title: '序列号', type: 'string', width: 110, align: 'left', sort: true},
            { field: 'wheels_Num', title: '车轮号', type: 'string', width: 110, align: 'left' },
            { field: 'wheels_Location', title: '库位号', type: 'string', width: 110, align: 'left' },
            { field: 'stockType', title: '库存类型', type: 'string', width: 80, align: 'left' },
            // { field: 'wheels_CurrentStatue', title: '状态', type: 'int', width: 110, align: 'left', bind: { key: "InboundState", data: [] } },
            { field: 'wheels_Type', title: '类型', type: 'string', width: 50, align: 'left' },
            { field: 'wheels_CarType', title: '车型', type: 'string', width: 70, align: 'left'  },
            //{ field: 'Wheels_ldxh', title: '轮型(轮对型号)', type: 'string',  width: 100, align: 'left' },
            { field: 'wheels_NewOrOld', title: '新旧类型', type: 'string',  width: 100, align: 'left' },
            { field: 'wheels_ygljz', title: '预估轮径值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheelsProps', title: '属性', type: 'string',  width: 100, align: 'left' },
            { field: 'wheels_InDate', title: '入库日期', type: 'string',width: 100, align: 'left' },
            { field: 'wheels_psj', title: '配属局', type: 'string',  width: 100, align: 'left' },
            { field: 'wheels_CarNo', title: '车组', type: 'string', width: 100, align: 'left' },
            { field: 'wheels_level', title: '等级', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'creater', title: '创建时间', type: 'string',  width: 100, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'finishWheelDate', title: '完成时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'operateType', title: '完成方式', type: 'int', width: 100, align: 'left',bind: { key: "OperateType", data: [] } },
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
